%define upstream_name XML-Parser-Lite
%define upstream_version 0.722

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Lightweight pure-perl XML Parser (based on regexps)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires) >= 0.60.0
BuildRequires: perl(diagnostics)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This Perl implements an XML parser with a interface similar to
XML::Parser. Though not all callbacks are supported, you should be able
to use it in the same way you use XML::Parser. Due to using experimental
regexp features it'll work only on Perl 5.6 and above and may behave
differently on different platforms.

Note that you cannot use regular expressions or split in callbacks. This
is due to a limitation of perl's regular expression implementation
(which is not re-entrant).

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.722.0-2.mga8
+ Revision: 1519797
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Oct 20 2018 tv <tv> 0.722.0-1.mga7
+ Revision: 1322804
- update to 0.722

* Wed Sep 19 2018 umeabot <umeabot> 0.721.0-4.mga7
+ Revision: 1272781
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.721.0-3.mga6
+ Revision: 1036041
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.721.0-2.mga6
+ Revision: 967449
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.721.0-1.mga6
+ Revision: 849003
- imported package perl-XML-Parser-Lite

